Package org.apache.wiki.event

# Interface WikiEventListener

All Superinterfaces:
  `EventListener`

public interface WikiEventListener extends EventListener
Defines an interface for an object that listens for WikiEvents.

Since:
  2.3.92

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(WikiEvent event)`
Fired when a WikiEvent is triggered by an event source.

## Method Details

### actionPerformed

void actionPerformed(WikiEvent event)
Fired when a WikiEvent is triggered by an event source.

Parameters:
  `event` - a WikiEvent object